'use strict';

const getIsExtensionAvailable = () => {
    const safeWindow = typeof window !== 'undefined' ? window : {};
    // Check if either elrondWallet or multiversxWallet exists and has an extensionId
    return Boolean(safeWindow === null || safeWindow === void 0 ? void 0 : safeWindow.elrondWallet) || Boolean(safeWindow === null || safeWindow === void 0 ? void 0 : safeWindow.multiversxWallet);
};

// Helper to check if MetaMask is available
const getIsMetaMaskAvailable = () => {
    const safeWindow = typeof window !== 'undefined' ? window : {};
    // Check if MetaMask is available through the ethereum object and that isMetaMask is true
    return Boolean((safeWindow === null || safeWindow === void 0 ? void 0 : safeWindow.ethereum) && safeWindow.ethereum.isMetaMask);
};

exports.getIsExtensionAvailable = getIsExtensionAvailable;
exports.getIsMetaMaskAvailable = getIsMetaMaskAvailable;
//# sourceMappingURL=getIsMetaMaskAvailable-BqCE2tAJ.js.map

//# sourceMappingURL=getIsMetaMaskAvailable-BqCE2tAJ.js.map