'use strict';

var index = require('./index-DnF1G--N.js');
var dataTestIds_enum = require('./dataTestIds.enum-B6DL3zPm.js');
var LedgerConnectBase = require('./LedgerConnectBase-DYpp6ugd.js');
require('./EventBus-Dq4GLNJp.js');

const ledgerConnectPanelCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.ledger-connect-content{display:flex;flex-direction:column;height:100%;padding:24px}.ledger-connect-header{margin-bottom:24px}.ledger-connect-header h2{color:#000;font-size:24px;font-weight:500;margin:0 0 8px}.ledger-connect-header h4{color:#666;font-size:16px;font-weight:400;margin:0}.ledger-connect-body{flex:1;overflow-y:auto}";

const LedgerConnectPanel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.data = {
            accountScreenData: null,
            confirmScreenData: null,
            connectScreenData: {},
        };
        this.isOpen = false;
        this.selectedIndex = 0;
    }
    componentWillLoad() {
        this.ledgerConnectBase = new LedgerConnectBase.LedgerConnectBase(this.data);
    }
    componentDidLoad() {
        this.ledgerConnectBase.subscribeEventBus(this.getEventBusSubscription());
        this.ledgerConnectBase.eventBus.subscribe(LedgerConnectBase.LedgerConnectEventsEnum.OPEN_LEDGER_CONNECT_PANEL, this.handleOpen.bind(this));
        this.ledgerConnectBase.eventBus.subscribe(LedgerConnectBase.LedgerConnectEventsEnum.CLOSE_LEDGER_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        this.ledgerConnectBase.unsubscribeEventBus(this.getEventBusSubscription());
        this.ledgerConnectBase.eventBus.unsubscribe(LedgerConnectBase.LedgerConnectEventsEnum.OPEN_LEDGER_CONNECT_PANEL, this.handleOpen.bind(this));
        this.ledgerConnectBase.eventBus.unsubscribe(LedgerConnectBase.LedgerConnectEventsEnum.CLOSE_LEDGER_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    handleConnect() {
        this.ledgerConnectBase.eventBus.publish(LedgerConnectBase.LedgerConnectEventsEnum.CONNECT_DEVICE);
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        if (props.isUserClick) {
            this.ledgerConnectBase.eventBus.publish(LedgerConnectBase.LedgerConnectEventsEnum.CLOSE_LEDGER_CONNECT_PANEL);
        }
    }
    accessWallet() {
        this.ledgerConnectBase.accessWallet();
    }
    selectAccount(index) {
        this.ledgerConnectBase.selectAccount(index);
        this.selectedIndex = this.ledgerConnectBase.selectedIndex;
    }
    async nextPage() {
        this.ledgerConnectBase.nextPage();
    }
    async prevPage() {
        this.ledgerConnectBase.prevPage();
    }
    async getEventBus() {
        return this.ledgerConnectBase.getEventBus();
    }
    getEventBusSubscription() {
        return {
            closeFn: () => this.onClose({ isUserClick: false }),
            forceUpdateFn: () => {
                this.data = this.ledgerConnectBase.data;
                index.forceUpdate(this);
            },
        };
    }
    getHeaderContent(accountScreenData, confirmScreenData) {
        if (accountScreenData) {
            return (index.h("div", { class: "ledger-connect-header" }, index.h("h2", { "data-testid": `${dataTestIds_enum.DataTestIdsEnum.addressTableContainer}Title` }, "Access your wallet"), index.h("h4", { "data-testid": `${dataTestIds_enum.DataTestIdsEnum.addressTableContainer}SubTitle` }, "Choose the wallet you want to access")));
        }
        if (confirmScreenData) {
            return (index.h("div", { class: "ledger-connect-header" }, index.h("h2", null, "Confirm"), index.h("h4", null, "Confirm Ledger Address")));
        }
        return (index.h("div", { class: "ledger-connect-header" }, index.h("h2", null, "Connect Ledger"), index.h("h4", null, "Unlock your device & open the MultiversX App")));
    }
    getBodyContent(accountScreenData, confirmScreenData, connectScreenData) {
        if (accountScreenData) {
            return (index.h("mvx-ledger-account-screen", { accountScreenData: accountScreenData, selectedIndex: this.selectedIndex, onSelectAccount: (event) => this.selectAccount(event.detail), onAccessWallet: () => this.accessWallet(), onPrevPage: () => this.prevPage(), onNextPage: () => this.nextPage() }));
        }
        if (confirmScreenData) {
            return index.h("mvx-ledger-confirm-screen", { confirmScreenData: confirmScreenData });
        }
        return index.h("mvx-ledger-connect-screen", { connectScreenData: connectScreenData, onConnect: this.handleConnect.bind(this) });
    }
    render() {
        const { accountScreenData, confirmScreenData, connectScreenData } = this.data;
        const bodyContent = this.getBodyContent(accountScreenData, confirmScreenData, connectScreenData);
        return (index.h("mvx-side-panel", { key: '35d688857b47ff7693df2f41a151569184ccd0c8', isOpen: this.isOpen, panelClassName: "ledger-connect-panel", onClose: this.handleClose.bind(this) }, index.h("div", { key: '1af25d0155b98064ea42928a55b995c9f92d294d', class: "ledger-connect-content" }, this.getHeaderContent(accountScreenData, confirmScreenData), index.h("div", { key: 'ce2e83b078c020e7bb2e40a84e6f701988b12ef1', class: "ledger-connect-body" }, bodyContent))));
    }
};
LedgerConnectPanel.style = ledgerConnectPanelCss;

exports.mvx_ledger_connect_panel = LedgerConnectPanel;
//# sourceMappingURL=mvx-ledger-connect-panel.entry.cjs.js.map

//# sourceMappingURL=mvx-ledger-connect-panel.cjs.entry.js.map