'use strict';

var index = require('./index-DnF1G--N.js');
var provider_types = require('./provider.types-B1uz46a1.js');

const providerButtonCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.provider-button{display:flex}";

var ProviderButtonLabelsEnum;
(function (ProviderButtonLabelsEnum) {
    ProviderButtonLabelsEnum["extension"] = "MultiversX Wallet Extension";
    ProviderButtonLabelsEnum["metamask"] = "MetaMask Snap";
    ProviderButtonLabelsEnum["passkey"] = "Passkey";
    ProviderButtonLabelsEnum["xportal"] = "xPortal Wallet";
    ProviderButtonLabelsEnum["ledger"] = "Ledger";
    ProviderButtonLabelsEnum["wallet"] = "MultiversX Web Wallet";
    ProviderButtonLabelsEnum["xalias"] = "Google (xAlias)";
})(ProviderButtonLabelsEnum || (ProviderButtonLabelsEnum = {}));
const providerButtonInfo = {
    [provider_types.ProviderTypeEnum.extension]: {
        icon: index.h("mvx-extension-provider-icon", null),
        label: ProviderButtonLabelsEnum.extension,
    },
    [provider_types.ProviderTypeEnum.metamask]: {
        icon: index.h("mvx-metamask-provider-icon", null),
        label: ProviderButtonLabelsEnum.metamask,
    },
    [provider_types.ProviderTypeEnum.passkey]: {
        icon: index.h("mvx-passkey-provider-icon", null),
        label: ProviderButtonLabelsEnum.passkey,
    },
    [provider_types.ProviderTypeEnum.walletConnect]: {
        icon: index.h("mvx-multiversx-logo-icon", null),
        label: ProviderButtonLabelsEnum.xportal,
    },
    [provider_types.ProviderTypeEnum.ledger]: {
        icon: index.h("mvx-ledger-provider-icon", null),
        label: ProviderButtonLabelsEnum.ledger,
    },
    [provider_types.ProviderTypeEnum.crossWindow]: {
        icon: index.h("mvx-wallet-provider-icon", null),
        label: ProviderButtonLabelsEnum.wallet,
    },
    [provider_types.ProviderTypeEnum.xalias]: {
        icon: index.h("mvx-xalias-provider-icon", null),
        label: ProviderButtonLabelsEnum.xalias,
    },
};
const ProviderButton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const walletInfo = this.type ? providerButtonInfo[this.type] : null;
        if (!walletInfo) {
            return index.h(index.Fragment, null);
        }
        return index.h("mvx-unlock-button", { icon: walletInfo.icon, label: walletInfo.label, type: this.type, class: this.class });
    }
};
ProviderButton.style = providerButtonCss;

exports.mvx_provider_button = ProviderButton;
//# sourceMappingURL=mvx-provider-button.entry.cjs.js.map

//# sourceMappingURL=mvx-provider-button.cjs.entry.js.map