'use strict';

var index = require('./index-DnF1G--N.js');
var WalletConnectBase = require('./WalletConnectBase-DhDRTajh.js');
require('./_commonjsHelpers-MBWFX2dn.js');
require('./EventBus-Dq4GLNJp.js');

const WalletConnect = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.data = {
            wcURI: '',
        };
        this.qrCodeSvg = '';
    }
    componentWillLoad() {
        this.walletConnectBase = new WalletConnectBase.WalletConnectBase(this.data);
    }
    async getEventBus() {
        return this.walletConnectBase.getEventBus();
    }
    async onDataChange(data) {
        if (data.wcURI) {
            this.qrCodeSvg = await this.walletConnectBase.generateSVG(data.wcURI);
        }
    }
    render() {
        return index.h("mvx-wallet-connect-body", { key: 'c7990726ccb0dd5099930efd988c18fc9dc59dd2', qrCodeSvg: this.qrCodeSvg, description: "Scan this QR using xPortal" });
    }
    removeComponent() {
        var _a;
        if ((_a = this.hostElement) === null || _a === void 0 ? void 0 : _a.parentNode) {
            this.hostElement.parentNode.removeChild(this.hostElement);
        }
    }
    getEventSubscription() {
        return {
            closeFn: () => this.removeComponent(),
            forceUpdateFn: () => {
                this.data = this.walletConnectBase.data;
                index.forceUpdate(this);
            },
        };
    }
    componentDidLoad() {
        this.walletConnectBase.subscribeEventBus(this.getEventSubscription());
    }
    disconnectedCallback() {
        this.walletConnectBase.unsubscribeEventBus(this.getEventSubscription());
    }
    get hostElement() { return index.getElement(this); }
    static get watchers() { return {
        "data": ["onDataChange"]
    }; }
};

exports.mvx_wallet_connect = WalletConnect;
//# sourceMappingURL=mvx-wallet-connect.entry.cjs.js.map

//# sourceMappingURL=mvx-wallet-connect.cjs.entry.js.map