import { h } from "@stencil/core";
export class Children {
    constructor() {
        this.childElements = [];
    }
    componentWillLoad() {
        this.childElements = [...this.host.children];
        this.host.innerHTML = '';
    }
    componentDidLoad() {
        this.initializeChild(this.childParentRef, this.childElements);
    }
    initializeChild(container, children) {
        if (!container) {
            return;
        }
        children.forEach(childElement => {
            container.appendChild(childElement);
        });
    }
    render() {
        return h("div", { key: '22df629cdf80a01212da9fd8ce0e74f0421da4a0', class: "children", ref: element => (this.childParentRef = element) });
    }
    static get is() { return "mvx-children"; }
    static get states() {
        return {
            "childElements": {}
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=children.js.map
