import { h } from "@stencil/core";
export class GenericModal {
    handleClose() {
        this.close.emit();
    }
    handleKeyDown(event) {
        if (event.key === 'Escape') {
            this.handleClose();
        }
    }
    render() {
        return (h("div", { key: 'b457ca58f463b428809bc09b2bb5e90d076e1283', class: "modal", onKeyDown: this.handleKeyDown.bind(this) }, h("div", { key: 'a9b6aed89b576cbf6f97a2b164abe860980a0227', class: "modal-content" }, h("div", { key: 'ffc4ba7f6f8c11e3450f795e52e6d6ac68fc8282', class: "modal-header" }, h("span", { key: '1641b7eee42b001b40e57e688a440213f78a9668', class: "close", onClick: this.handleClose.bind(this) }, "\u2715"), h("h2", { key: '124bb6474416e1c455a52a0a2a913f58c3b9a013' }, this.modalTitle), this.modalSubtitle && h("h4", { key: 'e1ea26ab44adb1e8d035da92b0934abb5150eae0' }, this.modalSubtitle)), this.body)));
    }
    static get is() { return "mvx-generic-modal"; }
    static get originalStyleUrls() {
        return {
            "$": ["./generic-modal.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["generic-modal.css"]
        };
    }
    static get properties() {
        return {
            "body": {
                "type": "unknown",
                "attribute": "body",
                "mutable": false,
                "complexType": {
                    "original": "IGenericModalProps['body']",
                    "resolved": "VNode",
                    "references": {
                        "IGenericModalProps": {
                            "location": "import",
                            "path": "./generic-modal.types",
                            "id": "src/components/common/generic-modal/generic-modal.types.ts::IGenericModalProps"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "modalTitle": {
                "type": "string",
                "attribute": "modal-title",
                "mutable": false,
                "complexType": {
                    "original": "IGenericModalProps['modalTitle']",
                    "resolved": "VNode | string",
                    "references": {
                        "IGenericModalProps": {
                            "location": "import",
                            "path": "./generic-modal.types",
                            "id": "src/components/common/generic-modal/generic-modal.types.ts::IGenericModalProps"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "modalSubtitle": {
                "type": "string",
                "attribute": "modal-subtitle",
                "mutable": false,
                "complexType": {
                    "original": "IGenericModalProps['modalSubtitle']",
                    "resolved": "VNode | string",
                    "references": {
                        "IGenericModalProps": {
                            "location": "import",
                            "path": "./generic-modal.types",
                            "id": "src/components/common/generic-modal/generic-modal.types.ts::IGenericModalProps"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=generic-modal.js.map
