import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionMethod {
    render() {
        return (h("span", { key: '465b5aa205702fc1d3e00b627a8ea6a682fad40a', class: classNames('badge badge-secondary badge-pill font-weight-light transaction-method', this.class), "data-testid": DataTestIdsEnum.method, title: this.actionDescription }, h("div", { key: '73ef8a5a4b46d0b486c1ca7c79465e4683743eb2', class: "badge badge-secondary badge-pill" }, h("div", { key: 'ad3919790cff0e1aa5248fcf00d225c10d6a6b37', class: "text-truncate text-capitalize text-white" }, this.method))));
    }
    static get is() { return "mvx-transaction-method"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "actionDescription": {
                "type": "string",
                "attribute": "action-description",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "method": {
                "type": "string",
                "attribute": "method",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-method.js.map
