import { Fragment, h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
import { renderAccounts } from "../../helpers/renderAccounts";
export class LedgerAccountScreen {
    render() {
        const isSelectedIndexOnPage = this.accountScreenData.accounts.some(({ index }) => index === this.selectedIndex);
        const accountsList = this.accountScreenData.isLoading || this.accountScreenData.accounts.length === 0 ? (h("mvx-generic-spinner", { "data-testid": DataTestIdsEnum.ledgerLoading })) : (renderAccounts({
            shownAccounts: this.accountScreenData.accounts,
            onSelectAccount: (index) => this.selectAccount.emit(index),
            selectedIndex: this.selectedIndex,
        }));
        return (h(Fragment, { key: 'b0ec8c215b0f4dede098b71c6051ba3c8c8fdeb0' }, accountsList, !this.accountScreenData.isLoading && this.accountScreenData.accounts.length !== 0 && (h(Fragment, { key: '84bed13ab30037ac68fd1d600dcbbc27338e7a18' }, h("div", { key: '084ceab80f731d6e02d632f26ae5db25efd0f011', class: "navigation" }, h("button", { key: 'feef8b25f45694005b3d653a38f68eefe48bdedd', onClick: () => this.prevPage.emit(), disabled: this.accountScreenData.startIndex <= 0, "data-testid": DataTestIdsEnum.prevBtn, class: "navigation-button" }, '< ', " Prev"), h("button", { key: 'b5fe944de4a207cda7c0e56d1947798089fa82b7', onClick: () => this.nextPage.emit(), "data-testid": DataTestIdsEnum.nextBtn, class: "navigation-button" }, "Next", ' >')), h("button", { key: '977d31454dfdaa77688888b539a014c5c44ed33d', "data-testid": DataTestIdsEnum.confirmBtn, class: "access-button", onClick: () => this.accessWallet.emit(), disabled: !isSelectedIndexOnPage }, "Access Wallet")))));
    }
    static get is() { return "mvx-ledger-account-screen"; }
    static get originalStyleUrls() {
        return {
            "$": ["ledger-account-screen.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["ledger-account-screen.css"]
        };
    }
    static get properties() {
        return {
            "accountScreenData": {
                "type": "unknown",
                "attribute": "account-screen-data",
                "mutable": false,
                "complexType": {
                    "original": "IAccountScreenData",
                    "resolved": "IAccountScreenData",
                    "references": {
                        "IAccountScreenData": {
                            "location": "import",
                            "path": "../../ledger-connect.types",
                            "id": "src/components/functional/ledger-connect-components/ledger-connect.types.ts::IAccountScreenData"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "selectedIndex": {
                "type": "number",
                "attribute": "selected-index",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "selectAccount",
                "name": "selectAccount",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }, {
                "method": "nextPage",
                "name": "nextPage",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }, {
                "method": "prevPage",
                "name": "prevPage",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }, {
                "method": "accessWallet",
                "name": "accessWallet",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=ledger-account-screen.js.map
