import { h } from "@stencil/core";
import state from "../../../../signTransactionsPanelStore";
export class TransactionFeeComponent {
    constructor() {
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = state.commonData;
        return (h("div", { key: '60c025ff26c214eed7420cad0052692713c94b34', class: "transaction-fee-container" }, h("div", { key: 'f3c6e5d7190b6fe0676dad4bc4919c46876bb34e', class: "fee-header" }, h("p", { key: 'f668ea32e085173281de4c844cc14abd447529f2' }, "Transaction fee"), isEditable && (h("button", { key: 'f7bfd5685b1df3be6fbec675cabdff9687b68dfc', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (h("p", { key: '49bc48f863a3661d84ddb4b9fd4c4bf5bfadf0fa' }, h("span", { key: '30765612ce0dd7c46213b898dfdc526d783e7dad' }, feeLimit), "\u00A0", h("span", { key: '63a6a52e7c030608bcd793e7abd6a2cb91ce72e4' }, egldLabel))), h("p", { key: 'ce5095af4e734138dd72188f6cfa884181ef9a5b' }, "\u2248", feeInFiatLimit), this.showGasOptions && (h("div", { key: '6fc63b8b938ed941b88328e8ffc23fa94af2999a', class: "gas-options" }, h("div", { key: 'ca7c352c51fe18e9693c059a2691a5eb27e3273c', class: "top-section" }, h("div", { key: '70a6e75ea5fff6fff4fa36d07fc9f091e5cf5b0c', class: "gas-price-section" }, h("div", { key: '94a1c55011b3151febbd955ea05edbca8fe674a2', class: "label" }, "Gas Price"), h("div", { key: '1efb762c00188670a8813cf358a2a69a1a463eae', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (h("div", { key: '0d9be568fadf454c62c8b9c4956725328e10e26a', class: "radio-group" }, ppuOptions.map(option => (h("div", { class: "radio-option" }, h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), h("div", { key: '6cba2fd48d12ba03f384da1d090cfc2263253923', class: "gas-limit-section" }, h("div", { key: 'f119033027f3f4cfcde981ea13b9a24780a8e939', class: "label" }, "Gas Limit"), h("div", { key: 'ec2ab5e551e7df5ac986de85090b4c4277c0fcaa', class: "value" }, gasLimit))))));
    }
    static get is() { return "mvx-transaction-fee-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-fee-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-fee-component.css"]
        };
    }
    static get states() {
        return {
            "showGasOptions": {}
        };
    }
}
//# sourceMappingURL=transaction-fee-component.js.map
