var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
import { formatAddress } from "../../../../../utils/utils";
import state from "../../signTransactionsPanelStore";
export class SignTransaction {
    getSignButtonProps() {
        const { needsSigning } = state.commonData;
        if (needsSigning) {
            return {
                'signText': 'Sign',
                'disabled': state.isWaitingForSignature,
                'data-testid': DataTestIdsEnum.signTransactionBtn,
                'onClick': state.onConfirm,
            };
        }
        return {
            'signText': 'Next',
            'disabled': false,
            'data-testid': DataTestIdsEnum.signNextTransactionBtn,
            'onClick': state.onConfirm,
        };
    }
    getBackButtonProps() {
        const { transactionsCount, currentIndex } = state.commonData;
        const isMultipleTransactions = transactionsCount > 1;
        if (!isMultipleTransactions) {
            return {};
        }
        if (currentIndex === 0) {
            return {
                'data-testid': DataTestIdsEnum.signCancelBtn,
                'backButtonText': 'Cancel',
                'onClick': state.onCancel,
            };
        }
        return {
            'data-testid': DataTestIdsEnum.signBackBtn,
            'backButtonText': 'Back',
            'onClick': state.onBack,
            'disabled': state.isWaitingForSignature,
        };
    }
    getHighlightedData() {
        const { data, highlight } = state.commonData;
        if (!highlight || !data) {
            return data;
        }
        const parts = data.split(highlight);
        return (h("span", null, parts.map((part, index) => (h("span", null, h("span", { class: "data-content" }, part), index < parts.length - 1 && h("span", { class: "highlight" }, highlight))))));
    }
    render() {
        const { receiver, scCall } = state.commonData;
        const _a = this.getSignButtonProps(), { signText } = _a, signButtonProps = __rest(_a, ["signText"]);
        const _b = this.getBackButtonProps(), { backButtonText } = _b, backButtonProps = __rest(_b, ["backButtonText"]);
        const highlightedData = this.getHighlightedData();
        return (h("div", { key: '0a1624c4494171725e7c790275ded0711475c48a', class: "transaction-container" }, this.header, h("div", { key: '6c007f6a9bcf9a9f794bb1d5afc7282d32f57d22', class: "receiver-container" }, h("p", { key: '07939c79bba48453d19b560cac2bc2660613234a' }, "To"), h("p", { key: '8264fd0565f6bbe226887990bcd794131abc9f84' }, formatAddress(receiver, 40))), h("mvx-transaction-fee-component", { key: '9b31561bee96d1ba0ac959b50fd9e0f171c08c58' }), scCall && (h("div", { key: 'e7699b5bad4b7b590d3382792c46d2e76a36923f', class: "data-container" }, h("p", { key: '61b71377a8acfa69d3e0fe578e6e34c16d0cce83' }, "Smart Contract Call"), h("div", { key: '5f6eda17fa42f0c45b0641b31bc2fe4eea6cdc34', class: "data-content-container" }, scCall))), h("div", { key: 'd4c0d74612b6a790f5c2bc0f3a1b8cf948a0b449', class: "data-container" }, h("p", { key: '7a43db58d1bf9aca66104eb99cf96e9a9bb2481e' }, "Data"), h("div", { key: '21d0a76ef527fb9b7f4d20d19fd81a3246bd43c4', class: "data-content-container" }, highlightedData)), h("div", { key: '43f582b8248cb7cbf349a2f044d74b488ed4ae69', class: "sign-button-container" }, h("button", Object.assign({ key: '92624f8b52a3b3fffba78a425354d75d47a703ce', class: "sign-button" }, signButtonProps), signText), backButtonText && (h("button", Object.assign({ key: '54665911aee4db0d6c59e7887167fc106981b4d8', class: "sign-back-button" }, backButtonProps), backButtonText)))));
    }
    static get is() { return "mvx-sign-transaction-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["sign-transaction-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["sign-transaction-component.css"]
        };
    }
    static get properties() {
        return {
            "header": {
                "type": "unknown",
                "attribute": "header",
                "mutable": false,
                "complexType": {
                    "original": "VNode",
                    "resolved": "VNode",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=sign-transaction-component.js.map
