import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
import { getIconHtmlFromIconName } from "../../../../../../../utils/icons/getIconHtmlFromIconName";
export class SimpleToast {
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderIcon() {
        const { icon, iconClassName } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        if (!iconHtml) {
            return null;
        }
        return (h("div", { class: {
                'content-icon': true,
                [iconClassName]: Boolean(iconClassName),
            }, innerHTML: iconHtml }));
    }
    render() {
        const { title, message, subtitle } = this.toast;
        return (h("div", { key: 'fa6649674718b03d313fdab9f77bfc7a578450fc', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent, id: `toast-${this.toast.toastId}` }, h("div", { key: '8f1f5003b493ad830855e25d7c9da31ffe0289ae', class: "content-left" }, this.renderIcon(), h("div", { key: 'a63341f3d948084a1aedeb1460a9949516408e4c', class: "content-right" }, h("div", { key: '69695c1b79d63ae839b46f57be0a2966123a4d83', class: "content-heading" }, title && (h("h5", { key: '297e2d26ecd56680ae7a1238e01675a7daa5465c', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title)), h("button", { key: 'bfab7fad297891e924a48ae70ac976ad5de4ce76', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), subtitle && h("div", { key: 'a695525038d564ac98d39bd0de0a08bb55b9b271', class: "subtitle" }, subtitle), message && h("div", { key: '4ebd0995bf446eda74e010646155edbc2f76451b', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get is() { return "mvx-simple-toast"; }
    static get originalStyleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get properties() {
        return {
            "toast": {
                "type": "unknown",
                "attribute": "toast",
                "mutable": false,
                "complexType": {
                    "original": "ISimpleToast",
                    "resolved": "ISimpleToast",
                    "references": {
                        "ISimpleToast": {
                            "location": "import",
                            "path": "components/functional/toasts-list/components/transaction-toast/transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::ISimpleToast"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=simple-toast.js.map
