import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
export class TransactionToastContent {
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderPrimaryIcon() {
        var _a, _b;
        const transaction = (_a = this.transactions) === null || _a === void 0 ? void 0 : _a[0];
        if (!(transaction === null || transaction === void 0 ? void 0 : transaction.asset)) {
            return h("mvx-default-transaction-icon-small", null);
        }
        if (transaction.asset.imageUrl) {
            return h("img", { src: transaction.asset.imageUrl, alt: "Transaction icon", class: "transaction-toast-icon", loading: "lazy" });
        }
        if (transaction.asset.icon) {
            return h("mvx-fa-icon", { icon: transaction.asset.icon, class: "transaction-toast-icon" });
        }
        if (transaction.asset.text) {
            return h("span", { class: "transaction-toast-icon" }, transaction.asset.text);
        }
        if (this.toastDataState.icon) {
            return h("fa-icon", { icon: this.toastDataState.icon, class: `transaction-toast-icon ${(_b = this.toastDataState.iconClassName) !== null && _b !== void 0 ? _b : ''}` });
        }
        return h("mvx-default-transaction-icon-small", null);
    }
    renderDetails() {
        var _a;
        const transaction = (_a = this.transactions) === null || _a === void 0 ? void 0 : _a[0];
        if (!transaction) {
            return null;
        }
        return (h("div", { class: "transaction-toast-details-info" }, transaction.directionLabel && h("span", { class: "transaction-toast-details-info-text" }, transaction.directionLabel), h("div", { class: "transaction-toast-details-info-icon" }, transaction.interactorAsset ? h("img", { src: transaction.interactorAsset, alt: "Service icon", loading: "lazy" }) : h("mvx-default-transaction-icon-small", null)), h("mvx-trim-text", { text: transaction.interactor, class: "transaction-toast-details-info-text" })));
    }
    render() {
        var _a;
        const { title, hasCloseButton } = this.toastDataState;
        const transaction = this.transactions[0];
        const showAmount = this.transactions.length === 1 && (transaction === null || transaction === void 0 ? void 0 : transaction.amount);
        const showExplorerLinkButton = (transaction === null || transaction === void 0 ? void 0 : transaction.link) && this.transactions.length === 1;
        return (h("div", { key: '9c7236e5d02b6a879906faadcd8dd81bfbbe9fe6', class: {
                'transaction-toast-content-wrapper': true,
                'full-width': this.fullWidth,
            }, "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '700c883392dbd2f62a460bcf73ab7ae3d70a65cb', class: "transaction-toast-content" }, h("div", { key: 'd4c4586670d0d4dd3e53d8cf4b044be499717f1f', class: "transaction-toast-icon" }, this.renderPrimaryIcon()), h("div", { key: '1e522861bf95ca4701454e8f918bfeff052a2bf6', class: "transaction-toast-details" }, h("div", { key: '50d76d81e5b09652249280e50c7e93cd720d80ad', class: "transaction-toast-details-header" }, h("h4", { key: '4f744e83dc712068816c3aa5de391ac53c4ba695', class: {
                'transaction-toast-title': true,
                'transaction-toast-title-short': Boolean(showAmount),
            } }, title || ((_a = transaction === null || transaction === void 0 ? void 0 : transaction.action) === null || _a === void 0 ? void 0 : _a.name)), showAmount && h("div", { key: '545e6b77ff917b9944dea2ea46522e7a0e0b7f45', class: "transaction-toast-amount" }, transaction.amount)), this.renderDetails()), hasCloseButton && h("fa-icon", { key: 'f1a62e77a719d70a3ab19cf9a51cbfa311c58bd5', icon: faTimes, class: "transaction-toast-close-icon", onClick: this.handleDeleteToast.bind(this) }), !hasCloseButton && showExplorerLinkButton && h("mvx-explorer-link", { key: '29ab2e2995b11f00f2db904c2ea1b4fec2e76b40', link: transaction.link, class: "transaction-toast-action-button" })), !showExplorerLinkButton && h("mvx-transaction-toast-details", { key: 'dadae63217d4549656164a724b78f269052c0fb2', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })));
    }
    static get is() { return "mvx-transaction-toast-content"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get properties() {
        return {
            "transactions": {
                "type": "unknown",
                "attribute": "transactions",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionListItem[]",
                    "resolved": "ITransactionListItem[]",
                    "references": {
                        "ITransactionListItem": {
                            "location": "import",
                            "path": "components/visual/transaction-list-item/transaction-list-item.types",
                            "id": "src/components/visual/transaction-list-item/transaction-list-item.types.ts::ITransactionListItem"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "toastDataState": {
                "type": "unknown",
                "attribute": "toast-data-state",
                "mutable": false,
                "complexType": {
                    "original": "IToastDataState",
                    "resolved": "IToastDataState",
                    "references": {
                        "IToastDataState": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::IToastDataState"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "processedTransactionsStatus": {
                "type": "string",
                "attribute": "processed-transactions-status",
                "mutable": false,
                "complexType": {
                    "original": "string | JSX.Element",
                    "resolved": "Element | string",
                    "references": {
                        "JSX": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::LocalJSX"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "fullWidth": {
                "type": "boolean",
                "attribute": "full-width",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=transaction-toast-content.js.map
