import { faCheck, faHourglass, faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
const iconData = {
    pending: faHourglass,
    success: faCheck,
    fail: faTimes,
    invalid: faTimes,
};
export class TransactionDetailsBody {
    constructor() {
        this.transactionClass = 'transaction-details-list-item';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? getIconHtmlFromIconDefinition(statusIcon) : null;
        return (h("div", { class: this.transactionClass, key: this.hash, "data-testid": DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (h("div", { key: 'e18daed8eb2ae919cefdb42feeafbb90aabce6c2', innerHTML: iconHtml, class: {
                'transaction-details-list-item-icon': true,
                'transaction-details-list-item-icon-success': this.status === 'success',
                'transaction-details-list-item-icon-pending': this.status === 'pending',
                'transaction-details-list-item-icon-fail': ['fail', 'invalid'].includes(this.status),
            } })), h("div", { key: '1e3c8f53053e79ca33c8ec5469ffb399a1755306', class: "transaction-details-list-item-hash-index" }, this.index), h("div", { key: 'a88fd21f1a88c859a748ff0ee8cce5c6b87de722', class: "transaction-details-list-item-hash-value" }, h("mvx-trim-text", { key: '0b10be033ab81765329618e9b8bc1c8dd9c335d0', text: this.hash })), h("mvx-explorer-link", { key: 'e78938533c1d3d9196f122e27167b3f9f0efd129', iconClass: "transaction-details-list-item-explorer-link-icon", link: this.link }), h("mvx-copy-button", { key: 'c2af13986f41865d793f2ea40326e4abd4d6ced3', iconClass: "transaction-details-list-item-copy-button-icon", text: this.hash })));
    }
    static get is() { return "mvx-transaction-toast-details-body"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-details-body.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-details-body.css"]
        };
    }
    static get properties() {
        return {
            "transactionClass": {
                "type": "string",
                "attribute": "transaction-class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'transaction-details-list-item'"
            },
            "status": {
                "type": "string",
                "attribute": "status",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "hash": {
                "type": "string",
                "attribute": "hash",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "link": {
                "type": "string",
                "attribute": "link",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "index": {
                "type": "string",
                "attribute": "index",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-toast-details-body.js.map
