import { h } from "@stencil/core";
export class TransactionToast {
    constructor() {
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        var _a, _b;
        return (h("div", { key: '8821d03a3d9096168442edf9205e53f176e6bd5b', class: "transaction-toast" }, h("mvx-transaction-toast-progress", { key: this.toastId, startTime: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.startTime, endTime: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.endTime }, h("mvx-transaction-toast-content", { key: '4ff6380fe7a9cd5b19958c6da631c1538e802951', fullWidth: this.fullWidth, toastDataState: this.toastDataState, transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus, onDeleteToast: this.handleDeleteToast.bind(this) }))));
    }
    static get is() { return "mvx-transaction-toast"; }
    static get originalStyleUrls() {
        return {
            "$": ["./transaction-toast.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast.css"]
        };
    }
    static get properties() {
        return {
            "toastId": {
                "type": "string",
                "attribute": "toast-id",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "wrapperClass": {
                "type": "string",
                "attribute": "wrapper-class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "fullWidth": {
                "type": "boolean",
                "attribute": "full-width",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "processedTransactionsStatus": {
                "type": "string",
                "attribute": "processed-transactions-status",
                "mutable": false,
                "complexType": {
                    "original": "string | JSX.Element",
                    "resolved": "Element | string",
                    "references": {
                        "JSX": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::LocalJSX"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "transactions": {
                "type": "unknown",
                "attribute": "transactions",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionListItem[]",
                    "resolved": "ITransactionListItem[]",
                    "references": {
                        "ITransactionListItem": {
                            "location": "import",
                            "path": "components/visual/transaction-list-item/transaction-list-item.types",
                            "id": "src/components/visual/transaction-list-item/transaction-list-item.types.ts::ITransactionListItem"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "defaultValue": "[]"
            },
            "toastDataState": {
                "type": "unknown",
                "attribute": "toast-data-state",
                "mutable": false,
                "complexType": {
                    "original": "IToastDataState",
                    "resolved": "IToastDataState",
                    "references": {
                        "IToastDataState": {
                            "location": "import",
                            "path": "./transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::IToastDataState"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "transactionProgressState": {
                "type": "unknown",
                "attribute": "transaction-progress-state",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionProgressState",
                    "resolved": "ITransactionProgressState",
                    "references": {
                        "ITransactionProgressState": {
                            "location": "import",
                            "path": "./transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::ITransactionProgressState"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=transaction-toast.js.map
