import { Fragment, h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
export class WalletConnectModal {
    constructor() {
        this.qrCodeSvg = '';
        this.description = '';
    }
    render() {
        return (h("div", { key: '38905702b7bc9c6a0ac11125e91fedf4c6428ffd', class: "modal-body" }, this.qrCodeSvg ? (h(Fragment, null, h("div", { class: "qr-code-container", "data-testid": DataTestIdsEnum.walletConnectQrCode, innerHTML: this.qrCodeSvg }), h("div", null, this.description))) : (h("mvx-generic-spinner", { "data-testid": DataTestIdsEnum.walletConnectLoading }))));
    }
    static get is() { return "mvx-wallet-connect-body"; }
    static get originalStyleUrls() {
        return {
            "$": ["wallet-connect-body.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["wallet-connect-body.css"]
        };
    }
    static get properties() {
        return {
            "qrCodeSvg": {
                "type": "string",
                "attribute": "qr-code-svg",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "description": {
                "type": "string",
                "attribute": "description",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=wallet-connect-body.js.map
