import { r as registerInstance, c as createEvent, h, g as getElement } from './index-D3R9UMmk.js';
import { c as classNames } from './index-CcLhQtEp.js';
import { P as ProviderTypeEnum } from './provider.types-x7Gngtcg.js';
import { g as getIsExtensionAvailable, a as getIsMetaMaskAvailable } from './getIsMetaMaskAvailable-CItYS8On.js';
import './_commonjsHelpers-Dj2_voLF.js';

const unlockPanelCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.unlock-panel{display:flex;flex-direction:column}.unlock-panel .unlock-panel-groups{display:flex;flex-direction:column;gap:16px}.unlock-panel .unlock-panel-groups .unlock-panel-group{display:flex;flex-direction:column;gap:12px}.unlock-panel .unlock-panel-groups .unlock-panel-group .unlock-panel-group-label{color:#a09a93;line-height:1}.unlock-panel .unlock-panel-groups .unlock-panel-group .unlock-panel-group-providers{display:flex;flex-direction:column;gap:2px}.unlock-panel .unlock-panel-groups .unlock-panel-group .unlock-panel-group-providers .unlock-panel-group-provider{border-radius:0}.unlock-panel .unlock-panel-groups .unlock-panel-group .unlock-panel-group-providers .unlock-panel-group-provider.first{border-top-left-radius:12px;border-top-right-radius:12px}.unlock-panel .unlock-panel-groups .unlock-panel-group .unlock-panel-group-providers .unlock-panel-group-provider.last{border-bottom-left-radius:12px;border-bottom-right-radius:12px}";

const UnlockPanel = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.close = createEvent(this, "close");
        this.login = createEvent(this, "login");
        this.isOpen = false;
        this.allowedProviders = Object.values(ProviderTypeEnum);
        this.isLoggingIn = false;
        this.selectedMethod = null;
        this.childElements = [];
        this.anchor = null;
        this.observer = null;
    }
    isExtensionInstalled(currentProvider) {
        return currentProvider === ProviderTypeEnum.extension && getIsExtensionAvailable();
    }
    isMetaMaskInstalled(currentProvider) {
        return currentProvider === ProviderTypeEnum.metamask && getIsMetaMaskAvailable();
    }
    disconnectedCallback() {
        if (this.observer) {
            this.observer.disconnect();
        }
    }
    observeContainer(element) {
        if (!element) {
            return;
        }
        this.anchor = element;
        if (this.observer) {
            this.observer.disconnect();
        }
        this.observer = new MutationObserver(() => {
            this.isLoggingIn = element.childElementCount > 0;
        });
        this.observer.observe(element, { childList: true, subtree: true });
    }
    handleLogin(provider) {
        this.login.emit({ provider, anchor: this.anchor });
        this.selectedMethod = provider;
    }
    handleResetLoginState(event) {
        event.preventDefault();
        this.isLoggingIn = false;
        this.selectedMethod = null;
        if (!this.anchor) {
            return;
        }
        while (this.anchor.firstChild) {
            this.anchor.removeChild(this.anchor.firstChild);
        }
    }
    handleClose(event) {
        event.preventDefault();
        this.close.emit();
    }
    componentWillLoad() {
        this.childElements = [...this.host.children];
        this.host.innerHTML = '';
    }
    render() {
        const detectedProviders = this.allowedProviders.filter(allowedProvider => this.isExtensionInstalled(allowedProvider) || this.isMetaMaskInstalled(allowedProvider));
        const otherProviders = this.allowedProviders.filter(allowedProvider => !detectedProviders.includes(allowedProvider));
        const hasDetectedProviders = detectedProviders.length > 0;
        return (h("mvx-side-panel", { key: '3bb5bbc0a6f8440406c23d4a3cd3522ad4b4fe48', isOpen: this.isOpen, panelTitle: "Connect your wallet", onClose: this.handleClose.bind(this), onBack: this.handleResetLoginState.bind(this), withBackButton: this.isLoggingIn }, h("div", { key: 'e68f258500c336ba4d4e3a889d487465bc645ef8', id: "anchor", ref: element => this.observeContainer(element) }), !this.isLoggingIn && (h("div", { key: '2ba4d2445de712de5a4e055b2f64140f40c368c1', class: "unlock-panel" }, h("div", { key: 'abc3dce32bf253b74708a11b44aeec8715839698', class: "unlock-panel-groups" }, hasDetectedProviders && (h("div", { key: '646af89c058e3246287da0ef7d1e1f4a7ed619cd', class: "unlock-panel-group" }, h("div", { key: '972964671544dd5aaba2de36e900647b39f9560f', class: "unlock-panel-group-label" }, "Detected"), h("div", { key: '4a9590a0f7f2f96dd07182251e4499a369940cf8', class: "unlock-panel-group-providers" }, detectedProviders.map((provider, providerIndex) => (h("mvx-provider-button", { type: provider, onClick: this.handleLogin.bind(this, provider), class: classNames('unlock-panel-group-provider', {
                first: providerIndex === 0,
                last: providerIndex === detectedProviders.length - 1,
            }) })))))), h("div", { key: '0e4fff0e774dbfd704f318345a245564e8e4ae56', class: "unlock-panel-group" }, h("div", { key: 'ec4b48b8ef9ef6667c20b742549aa7b96e183f47', class: "unlock-panel-group-label" }, hasDetectedProviders ? 'Other Options' : 'Options'), h("div", { key: 'c46eb572af03003fd45f770314f5857cf429abf1', class: "unlock-panel-group-providers" }, otherProviders.map((provider, providerIndex) => (h("mvx-provider-button", { type: provider, onClick: this.handleLogin.bind(this, provider), class: classNames('unlock-panel-group-provider', {
                first: providerIndex === 0,
                last: providerIndex === otherProviders.length - 1,
            }) })))))), h("div", { key: '97d72422ef8015b043e1fdceb83cbc62c78e7656' }, "External Providers", h("mxv-children", { key: 'ce1a6bb66221d5fdddc430b1dccf174eeaf8a774', innerHTML: this.childElements.map(childElement => childElement.innerHTML) })), h("img", { key: '0520a6262a66b91d6004e8df846362d133785b27', src: new URL('../collection/assets/unlock-panel-wallet.png', import.meta.url).href })))));
    }
    get host() { return getElement(this); }
};
UnlockPanel.style = unlockPanelCss;

export { UnlockPanel as mvx_unlock_panel };
//# sourceMappingURL=mvx-unlock-panel.entry.js.map

//# sourceMappingURL=mvx-unlock-panel.entry.js.map