import { r as registerInstance, h, f as forceUpdate, g as getElement } from './index-D3R9UMmk.js';
import { W as WalletConnectBase } from './WalletConnectBase-BeKWMF4I.js';
import './_commonjsHelpers-Dj2_voLF.js';
import './EventBus-S9juR7eS.js';

const WalletConnect = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.data = {
            wcURI: '',
        };
        this.qrCodeSvg = '';
    }
    componentWillLoad() {
        this.walletConnectBase = new WalletConnectBase(this.data);
    }
    async getEventBus() {
        return this.walletConnectBase.getEventBus();
    }
    async onDataChange(data) {
        if (data.wcURI) {
            this.qrCodeSvg = await this.walletConnectBase.generateSVG(data.wcURI);
        }
    }
    render() {
        return h("mvx-wallet-connect-body", { key: 'c7990726ccb0dd5099930efd988c18fc9dc59dd2', qrCodeSvg: this.qrCodeSvg, description: "Scan this QR using xPortal" });
    }
    removeComponent() {
        var _a;
        if ((_a = this.hostElement) === null || _a === void 0 ? void 0 : _a.parentNode) {
            this.hostElement.parentNode.removeChild(this.hostElement);
        }
    }
    getEventSubscription() {
        return {
            closeFn: () => this.removeComponent(),
            forceUpdateFn: () => {
                this.data = this.walletConnectBase.data;
                forceUpdate(this);
            },
        };
    }
    componentDidLoad() {
        this.walletConnectBase.subscribeEventBus(this.getEventSubscription());
    }
    disconnectedCallback() {
        this.walletConnectBase.unsubscribeEventBus(this.getEventSubscription());
    }
    get hostElement() { return getElement(this); }
    static get watchers() { return {
        "data": ["onDataChange"]
    }; }
};

export { WalletConnect as mvx_wallet_connect };
//# sourceMappingURL=mvx-wallet-connect.entry.js.map

//# sourceMappingURL=mvx-wallet-connect.entry.js.map