import { p as proxyCustomElement, H, h, f as forceUpdate } from './p-FAOyWG8K.js';
import { L as LedgerConnectBase, a as LedgerConnectEventsEnum } from './p-D2xxRwLD.js';
import { d as defineCustomElement$5 } from './p-Bqz-EYB0.js';
import { d as defineCustomElement$4 } from './p-CZXaaH67.js';
import { d as defineCustomElement$3 } from './p-C3nazHcI.js';
import { d as defineCustomElement$2 } from './p-HQMy7TW9.js';

const LedgerConnect = /*@__PURE__*/ proxyCustomElement(class LedgerConnect extends H {
    constructor() {
        super();
        this.__registerHost();
        this.data = {
            accountScreenData: null,
            confirmScreenData: null,
            connectScreenData: {},
        };
        this.selectedIndex = 0;
    }
    componentWillLoad() {
        this.ledgerConnectBase = new LedgerConnectBase(this.data);
    }
    async getEventBus() {
        return this.ledgerConnectBase.getEventBus();
    }
    render() {
        const { accountScreenData, confirmScreenData, connectScreenData } = this.data;
        if (accountScreenData) {
            return (h("mvx-ledger-account-screen", { accountScreenData: accountScreenData, selectedIndex: this.selectedIndex, onSelectAccount: (event) => this.selectAccount(event.detail), onAccessWallet: () => this.accessWallet(), onPrevPage: () => this.prevPage(), onNextPage: () => this.nextPage() }));
        }
        if (confirmScreenData) {
            return h("mvx-ledger-confirm-screen", { confirmScreenData: confirmScreenData });
        }
        return h("mvx-ledger-connect-screen", { connectScreenData: connectScreenData, onConnect: () => this.ledgerConnectBase.eventBus.publish(LedgerConnectEventsEnum.CONNECT_DEVICE) });
    }
    accessWallet() {
        this.ledgerConnectBase.accessWallet();
    }
    selectAccount(index) {
        this.ledgerConnectBase.selectAccount(index);
        this.selectedIndex = this.ledgerConnectBase.selectedIndex;
    }
    async nextPage() {
        this.ledgerConnectBase.nextPage();
    }
    async prevPage() {
        this.ledgerConnectBase.prevPage();
    }
    removeComponent() {
        var _a;
        if ((_a = this.hostElement) === null || _a === void 0 ? void 0 : _a.parentNode) {
            this.hostElement.parentNode.removeChild(this.hostElement);
        }
    }
    getEventSubscription() {
        return {
            closeFn: () => this.removeComponent(),
            forceUpdateFn: () => {
                this.data = this.ledgerConnectBase.data;
                forceUpdate(this);
            },
        };
    }
    componentDidLoad() {
        this.ledgerConnectBase.subscribeEventBus(this.getEventSubscription());
    }
    disconnectedCallback() {
        this.ledgerConnectBase.unsubscribeEventBus(this.getEventSubscription());
    }
    get hostElement() { return this; }
}, [0, "mvx-ledger-connect", {
        "data": [16],
        "selectedIndex": [32],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-ledger-connect", "mvx-generic-spinner", "mvx-ledger-account-screen", "mvx-ledger-confirm-screen", "mvx-ledger-connect-screen"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-ledger-connect":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerConnect);
            }
            break;
        case "mvx-generic-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-ledger-account-screen":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-ledger-confirm-screen":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-ledger-connect-screen":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxLedgerConnect = LedgerConnect;
const defineCustomElement = defineCustomElement$1;

export { MvxLedgerConnect, defineCustomElement };
//# sourceMappingURL=mvx-ledger-connect.js.map

//# sourceMappingURL=mvx-ledger-connect.js.map