import { p as proxyCustomElement, H, h, f as forceUpdate } from './p-FAOyWG8K.js';
import { W as WalletConnectBase } from './p-D2Li44z_.js';
import { d as defineCustomElement$3 } from './p-Bqz-EYB0.js';
import { d as defineCustomElement$2 } from './p-BwdgsfzH.js';

const WalletConnect = /*@__PURE__*/ proxyCustomElement(class WalletConnect extends H {
    constructor() {
        super();
        this.__registerHost();
        this.data = {
            wcURI: '',
        };
        this.qrCodeSvg = '';
    }
    componentWillLoad() {
        this.walletConnectBase = new WalletConnectBase(this.data);
    }
    async getEventBus() {
        return this.walletConnectBase.getEventBus();
    }
    async onDataChange(data) {
        if (data.wcURI) {
            this.qrCodeSvg = await this.walletConnectBase.generateSVG(data.wcURI);
        }
    }
    render() {
        return h("mvx-wallet-connect-body", { key: 'c7990726ccb0dd5099930efd988c18fc9dc59dd2', qrCodeSvg: this.qrCodeSvg, description: "Scan this QR using xPortal" });
    }
    removeComponent() {
        var _a;
        if ((_a = this.hostElement) === null || _a === void 0 ? void 0 : _a.parentNode) {
            this.hostElement.parentNode.removeChild(this.hostElement);
        }
    }
    getEventSubscription() {
        return {
            closeFn: () => this.removeComponent(),
            forceUpdateFn: () => {
                this.data = this.walletConnectBase.data;
                forceUpdate(this);
            },
        };
    }
    componentDidLoad() {
        this.walletConnectBase.subscribeEventBus(this.getEventSubscription());
    }
    disconnectedCallback() {
        this.walletConnectBase.unsubscribeEventBus(this.getEventSubscription());
    }
    get hostElement() { return this; }
    static get watchers() { return {
        "data": ["onDataChange"]
    }; }
}, [0, "mvx-wallet-connect", {
        "data": [16],
        "qrCodeSvg": [32],
        "getEventBus": [64]
    }, undefined, {
        "data": ["onDataChange"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-wallet-connect", "mvx-generic-spinner", "mvx-wallet-connect-body"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-wallet-connect":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, WalletConnect);
            }
            break;
        case "mvx-generic-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-wallet-connect-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxWalletConnect = WalletConnect;
const defineCustomElement = defineCustomElement$1;

export { MvxWalletConnect, defineCustomElement };
//# sourceMappingURL=mvx-wallet-connect.js.map

//# sourceMappingURL=mvx-wallet-connect.js.map