import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { d as defineCustomElement$2 } from './p-Bc-bKntc.js';
import { d as defineCustomElement$1 } from './p-DPY4mjs-.js';

const GenericToast = /*@__PURE__*/ proxyCustomElement(class GenericToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.deleteToast = createEvent(this, "deleteToast");
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return h("mvx-custom-toast", { toast: this.toast, onDeleteToast: () => this.deleteToast.emit(this.toast.toastId) });
        }
        return h("mvx-simple-toast", { toast: this.toast, onDeleteToast: () => this.deleteToast.emit(this.toast.toastId) });
    }
}, [0, "mvx-generic-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-generic-toast", "mvx-custom-toast", "mvx-simple-toast"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-generic-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GenericToast);
            }
            break;
        case "mvx-custom-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-simple-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { GenericToast as G, defineCustomElement as d };
//# sourceMappingURL=p-DCU_rdKO.js.map

//# sourceMappingURL=p-DCU_rdKO.js.map